import argparse

parser = argparse.ArgumentParser(description="Run TablePi client")

parser.add_argument(
    '--table',
    type=str,
    default='DefaultTable',
    help='Name of the NetworkTable (default: %(default)s)'
)

parser.add_argument(
    '--ip',
    type=str,
    default='10.0.0.2',
    help='IP address of the server (default: %(default)s)'
)

args = parser.parse_args()

table_name = args.table
server_ip = args.ip

print(f"Connecting to server {server_ip} using table '{table_name}'")
