from networktables import NetworkTables
from time import sleep

NetworkTables.initialize()
NetworkTables.startServer()

table = NetworkTables.getTable("PiStatus")
print("Server started, waiting for data...")

while True:
    cpu = table.getNumber("CPU Usage", -1)
    temp = table.getNumber("Temperature", -1)
    mem = table.getNumber("Memory", -1)
    print(f"CPU: {cpu}, Temp: {temp} Mem:{mem}")
    sleep(1)
